Purchase ArabBible 5.18 (for Mac)
ArabBible for Mac runs on Apple's newest operating system: High Sierra (macOS 10.13), as well as on older versions: Sierra (macOS 10.12), El Capitan (OS X 10.11), Yosemite (OS X 10.10) and Mavericks (OS X 10.9). And remember, once you purchase ArabBible, updates are always free!
ArabBible 5.18 (for Mac)
$ 0.00